Fetch Bill
Introduction
The Fetch Biller API fetches the biller Details after the Get Biller Details API is called.
How to call the API
You will need to log in before sending the request. You are required to pass the access token received from the login call, as the authorization header in the request.
API Input Guidelines
All request parameters are Mandatory.
Sample CURL
curl --location --request POST 'https://api.signzy.app/api/v3/fetchBill' \
--header 'Authorization: <AUTH KEY>' \
--header 'Content-Type: application/json' \
--header 'Client-Id: <Client ID>' \
--header 'Client-Secret: <Client Secret Key>' \
--data-raw '{
"billerId": "JIO0XXXXXXX",
"category": "MOBILE POSTPAID",
"merchantTrxnRefId": "FP20220404123622495fXHPCXXXXXX",
"mobileNo": "9826XXXXX",
"paramName": "Mobile Number",
"paramValue": "9826XXXXX"
}'Input Parameters
Parameter Name | Type | Required/Optional | Parameter Description |
|---|---|---|---|
Content Type | String | Required | application/json |
Authorization | String | Required | access token returned as id field of login request |
billerId | String | Required | billerId is given by getBillerDetails Api. |
category | String | Required | Pass category |
merchantTrxnRefld | String | Required | Reference ID to identify the transaction as unique transaction. Length should be 35. |
mobileNo | String | Required | paramValue is customerMobile |
paramName | String | Required | paramName is given by getBillerDetails Api |
paramValue | String | Required | paramValue is customerMobile for MOBILE POSTPAID category |
Response
{
"result": {
"billerId": "JIO000000NAT02",
"amount": 234.98,
"code": 200,
"additionalParams": {},
"dueDate": "2022-10-30",
"requestTimeStamp": "2022-10-17",
"billDate": "2022-10-16",
"refId": "FIDYrKaoVTSILdVIXGfvDpNELuj22901459",
"accountHolderName": "Manan Dixit",
"status": "SUCCESS"
}
}Response Parameter
PARAMETER NAME | DESCRIPTION |
|---|---|
result | It is the collection of response obtained on API hit. |
result.billerId | It holdes the Id corresponding to the biller. |
result.amount | It holdes the bill amount |
result.code | It contains code value |
result.additionalParams | This section contains additional parameters. |
result.dueDate | the date on which payment of bills falls due |
result.requestTimeStamp | It holds the date on which the request was sent. |
result.billDate | date on which a Billing period ends, as identified on the bill. |
result.refId | It holdes the reference ID value |
result.accountHolderName | It holds the name of account holder. |
result.status | It holds status of bill. |
Getting help
Please feel free to contact us if you have any questions, require clarification, or have ideas for how to make the documents or any of our services better.
You can reach out to us at [email protected].